import request from '@/utils/request'

// 查询流程审批节点实例列表
export function listINSTACTION(query) {
  return request({
    url: '/business/INSTACTION/list',
    method: 'get',
    params: query
  })
}

// 查询流程审批节点实例所有列表
export function listAllINSTACTION(query) {
  return request({
    url: '/business/INSTACTION/listAll',
    method: 'get',
    params: query
  })
}

// 查询流程审批节点实例详细
export function getINSTACTION(id) {
  return request({
    url: '/business/INSTACTION/getInfo/' + id,
    method: 'get'
  })
}

// 新增流程审批节点实例
export function addINSTACTION(data) {
  return request({
    url: '/business/INSTACTION/add',
    method: 'post',
    data: data
  })
}

// 修改流程审批节点实例
export function updateINSTACTION(data) {
  return request({
    url: '/business/INSTACTION/edit',
    method: 'post',
    data: data
  })
}

// 删除流程审批节点实例
export function delINSTACTION(id) {
  return request({
    url: '/business/INSTACTION/remove/' + id,
    method: 'get'
  })
}
